
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Java面向对象学习】一张图搞定Java面向对象 / iVAN</title>

    <meta name="description" content="【Java面向对象学习】一张图搞定Java面向对象 刚开始学习Java的时候,一个人跌跌撞撞摸索着往前走,很多东西理解的也懵懵懂懂,后来实践的多了,才慢慢清楚:许多东西虽然很基础但是却很重要,是需要反复思考和加深理解的,[Java面向对象学习]一张图搞定Java面向对象,分享一些归纳总结后的技术干货,一张图能搞定的事,绝对不长篇大论. 大家都知道,Java面向对象是Java的一个核心,也是初学者的一个难点,所以我们从这里开始,Let's go ! Java面向对象 面向对象(Oriented Object) 是相对于面向过程而言的,过程其实就是函">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Java面向对象学习】一张图搞定Java面向对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>刚开始学习Java的时候，一个人跌跌撞撞摸索着往前走，很多东西理解的也懵懵懂懂，后来实践的多了，才慢慢清楚；许多东西虽然很基础但是却很重要，是需要反复思考和加深理解的，【Java面向对象学习】一张图搞定Java面向对象，分享一些归纳总结后的技术干货，一张图能搞定的事，绝对不长篇大论。</p>
<p>大家都知道，Java面向对象是Java的一个核心，也是初学者的一个难点，所以我们从这里开始，Let’s go !</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dwaWMucXBpYy5jbi9nYmFyX3BpYy9lZ2ljZ3ppYTM0Z2RObXZHaWJLbmNVTkJsZmptOFhSaE9BZmhXcEFsMHZucmpnOFBSUUdpYmRVUmpRLzEwMDA=.jpg"></p>
<p>Java面向对象</p>
<h1>面向对象（Oriented Object）</h1>
<p>是相对于面向过程而言的，过程其实就是函数，对象是将函数和属性进行了封装。</p>
<p>（1）将复杂的事情简单化。</p>
<p>（2）面向对象将以前的过程中的执行者，变成了指挥者。</p>
<p>（3）面向对象思想是符合人们思考习惯的一种思想。</p>
<h1>面向对象和面向过程区别</h1>
<p>- 面向过程：事物比较简单，可以用线性的思维去解决。</p>
<p>- 面向对象：事物比较复杂，使用简单的线性思维无法解决。</p>
<p>- 共同点：都是解决实际问题的一种思维方式。解决复杂问题，通过面向对象方式便于我们从宏观上把握事物之间复杂的关系，方便我们分析整个系统；具体到微观操作，仍然使用面向过程方式来处理。</p>
<p>如果你想学习Java可以来这个群，首先是294，中间是919，最后是881，里面可以学习和交流，也有资料可以下载。</p>
<h1>对象</h1>
<p>接收消息的实体，一切皆为对象，对象都有属性和行为，对象都属于某个类，每个对象都是独一无二的。</p>
<h1>类</h1>
<p>创建对象的蓝图和模板</p>
<p>类的属性：数据抽象</p>
<p>类的方法：行为抽象 </p>
<p>构造器（构造方法）</p>
<h1>接口</h1>
<p>抽象方法的集合</p>
<p>（1）作用：</p>
<p>- 能力，实现一个接口就代表具备了某方面的能力。</p>
<p>- 约定，一个类实现了接口就必须实现接口中的所有抽象方法否则要被声明为抽象类。</p>
<p>- 角色，一个类可以实现多个接口来扮演多种角色</p>
<p>（2）接口之间可以继承而且支持多重继承</p>
<p>（3）从Java 8开始接口中的方法允许有默认实现</p>
<p>（4）常见的接口用法</p>
<p>- 单方法接口(函数式接口)：Lambda表达式、@FunctionalInterface</p>
<p>- 标识性接口</p>
<p>- 普通接口</p>
<p>- 常量接口（接口最不正确的用法）</p>
<h1>Java面向对象语言的三大特点</h1>
<p>- 继承：从已有类创建新类的过程。</p>
<p>父类（超类/基类）：提供继承信息的类</p>
<p>子类（派生类）：得到继承信息的类</p>
<p>- 封装：隐藏一切可隐藏的实现细节提供简单的编程接口。私有属性，公有方法。好处：将变化隔离；便于使用；提高重用性，安全性。</p>
<p>- 多态：</p>
<p>方法重写：子类对父类的方法给出自己的实现版本。</p>
<p>对象造型：用父类型的引用去引用子类对象。</p>
<h1>成员</h1>
<p>定义在类中。成员有两种：</p>
<p>（1）成员变量：其实对应的就是事物的属性。</p>
<p>（2）成员函数：其实对应的就是事物的行为。</p>
<h1>局部变量和成员变量的区别</h1>
<p>（1）成员变量直接定义在类中。</p>
<p>局部变量定义在方法中，参数上，语句中。</p>
<p>（2）成员变量在这个类中有效。</p>
<p>局部变量只在自己所属的大括号内有效，大括号结束，局部变量失去作用域。</p>
<p>（3）成员变量定义在堆内存中，随着对象的产生而存在，消失而消失。</p>
<p>局部变量存在于栈内存中，随着所属区域的运行而存在，结束而释放。</p>
<h1>构造函数</h1>
<p>用于给对象进行初始化 ，函数中的一种。构造函数是在对象创建时被调用的，而且 初始化动作只执行一次 。</p>
<p>特点：该函数的名称和所在类的名称相同。不需要指定返回值类型。该函数没有具体的返回值。</p>
<p>注意：在定义一个类的时候，如果没有定义一个构造函数，系统会自动生成一个无参构造函数，以便于该类对象的创建和初始化。如果类中自定了构造函数，那么默认的构造函数没有了。如果一个类中有多个构造函数，这些构造函数是以重载体现的。</p>
<h1>构造代码块和构造函数的区别</h1>
<p>构造代码块：是给所有的对象进行初始化 ，只要对象一建立就会调用这个代码块。</p>
<p>构造函数：是给与之对应的对象进行初始化。</p>
<h1>创建一个对象内存中执行过程</h1>
<p>Person p = new Person();</p>
<p>（1）将硬盘中指定位置的Person.class文件加载进内存。</p>
<p>（2）执行main方法时，在栈内存中开辟了main方法的空间（压栈-进栈），然后在main方法的栈区分配了一个变量P。</p>
<p>（3）new。在堆内存中开辟一个实体空间，分配了一个内存首地址值。</p>
<p>（4）在该实体空间中进行属性的空间分配，并进行了默认初始化。</p>
<p>（5）对空间中的属性进行显示初始化。</p>
<p>（6）进行实体的构造代码块初始化。</p>
<p>（7）调用该实体对应的构造函数，进行构造函数初始化。</p>
<p>（8）将首地址赋值给p，p变量就引用了该实体。（指向了该对象）</p>
<h1>this关键字</h1>
<p>代表对象。就是所在函数所属对象的引用。哪个对象调用了this所在的函数，this就代表哪个对象。</p>
<p>this是方法（除静态方法外）中存在的隐式参数，所以在方法中使用this。</p>
<p>普通方法中，this总是指向调用该方法的对象。this.xx; （调用的是成员属性和成员方法）</p>
<p>构造方法中，this总是指向正要初始化的对象。this(...); （调用本类对应参数的构造函数）</p>
<p>注意：</p>
<p>（1）this调用构造函数，必须定义在构造函数的第一行。否则编译失败。</p>
<p>（2）this不能用于static修饰的方法。</p>
<h1>static关键字</h1>
<p>关键字，是一个修饰符，用于修饰成员（成员变量和成员函数）</p>
<p>在类中，用static声明的成员变量为静态变量，或者叫做：类属性，类变量， 从属于类，给对象分配的内存里没有。</p>
<p>它为类的公用变量，属于类，被该类的所有实例共享，在类被载入时被显示初始化，</p>
<p>对于该类的所有对象来说，static成员变量只有一份。被该类的所有对象共享。</p>
<p>可以使用“对象.类属性”来调用。不过，一般都是用“类名.类属性”。</p>
<p>static变量置于方法区中。</p>
<p>用static声明的方法为静态方法。</p>
<p>类名.方法名的方式调用。</p>
<p>在调用该方法时，不会将对象的引用传递给它，所以在static方法中，不可访问非static的成员。</p>
<p>在静态方法中，不能是用this和supper关键字。</p>
<h1>成员变量和静态变量的区别</h1>
<p>（1）成员变量所属与对象，所以也称为实例变量。</p>
<p>静态变量所属于类，所以也称为类变量。</p>
<p>（2）成员变量存在于堆内存中。</p>
<p>静态变量存在于方法区中。</p>
<p>（3）成员变量随着对象的创建而存在，随着对象被回收而消失。</p>
<p>静态变量随着类的加载而存在，随着类的消失而消失。</p>
<p>（4）成员变量只能被对象所调用。</p>
<p>静态变量可以被对象调用，也可以被类名调用。</p>
<p>所以，成员变量可以称为对象的特有数据，静态变量称为对象的共享数据。</p>
<h1>静态代码块</h1>
<p>就是一个有静态关键字标示的一个代码块区域。定义在类中。</p>
<p>作用：可以完成类的初始化 。静态代码块随着类的加载而执行，而且只执行一次。如果和主函数在同一个类中，优先于主函数执行。</p>
<h1>静态代码块、构造代码块、构造函数同时存在时的执行顺序</h1>
<p>静态代码块--&gt;构造代码块--&gt;构造函数。</p>
<h1>继承</h1>
<p>（1）类是对对象的抽象，继承是对某一批类的抽象，从而实现对现实世界更好的建模。</p>
<p>（2）提高代码的复用性。</p>
<p>（3）extends的意思是“扩展”。子类是父类的扩展。</p>
<p>（4）子类继承父类，可以得到父类的全部属性和方法（除了父类的构造方法）。</p>
<p>（5）Java中只有单继承，没有多继承。多继承会引起混乱，使得继承链过于复杂，系统难于维护。</p>
<p>（6）Java中的多继承，可以通过接口来实现。</p>
<p>（7）java.lang.Object是所有类的超类。</p>
<h1>重载（overload）</h1>
<p>方法的重载是指一个类中可以定义有相同的名字，但参数不同的多个方法。调用时，会根据不同的参数表选择对应的方法。</p>
<p>同一个类，同一个方法名。</p>
<p>不同：参数列表不同（类型，个数，顺序不同）</p>
<p>只有返回值不同，不构成方法的重载。</p>
<h1>方法重写（override）</h1>
<p>在子类中可以根据需要对从父类中继承来的方法进行重写。</p>
<p>重写方法必须和被重写方法具有相同方法名称、参数列表和返回类型。</p>
<p>重写方法不能使用比被重写方法更严格的访问权限。（由于多态）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:24:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>, <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f%e8%bd%af%e4%bb%b6/" title="系统软件">系统软件</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b%e8%af%ad%e8%a8%80/" title="编程语言">编程语言</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Java面向对象学习】一张图搞定Java面向对象的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJllrM.html" rel="bookmark">软件测试的类型、方法以及策略------一张图搞定</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/zDJllrM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMTQxMTQ1MzE1Mjg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZDJGdVoyaGhiblJ2Ym1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				一张图搞定软件测试基础理论!(请使用鼠标滚轮放大观看) -- 做一个简单的人,踏实而务实.不沉溺幻想,更不庸人自扰.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZkk6p.html" rel="bookmark">一张图读懂Java多线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.带着疑问看图 1)竞争对象的锁和竞争CPU资源以及竞争被唤醒 2)何种情况下获取到了锁,何种情况下会释放锁 2.还是那张图 3.详细图解 1)Thread t = new Thread(),初始化一个线程,实际上就是一个普通对象,此时他的状态为New 2)t.start(); 线程处于就绪状态(可运行状态),也就是随时等待着运行, 不要小看这个start,这个start决定了他是否是一个真正的线程实例,因为start为其准备了线程环境,你若只是普通调用run方法,那么这就是 一个普通的方法.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo34Bjb.html" rel="bookmark">java可以对一张图整体颜色加深？有没有大神知道呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个张图片的颜色太淡了,我需要整体加深,用java能实现吗 解决方案 解决方案二:可以!这个不是问题!解决方案三:有源码吗?可以给我吗解决方案四:用ps解决方案五:CSS解决方案六:用ps,术业有专攻.解决方案七:实在不行用美图也行吧解决方案八:楼上有俩科比解决方案九:是所有像素点RGB值更加靠近黑色的意思吗解决方案十:引用8楼XUECHANG1的回复: 是所有像素点RGB值更加靠近黑色的意思吗 颜色加深,红的变更红绿的变更绿,从来没搞过这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZ4Odb.html" rel="bookmark">几行代码搞定java生成解析二维码功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近公司要求扫描二维码和生成二维码的功能.而群里部分网友也提到了.我这里就写了一个demo,和大家分享.代码很简介,希望大家能够喜欢. 网友表示在网上搜索了很多,发现不是代码不全,就是jar不匹配. 我这里共享了一个zxing的2.2版本的例子,也提供了下载地址.实现代码如下: package com.herman.test; import java.io.File; import java.io.FileInputStream; import java.io.FileNotFoundExcep			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjN7ep.html" rel="bookmark">一键搞定Java桌面应用安装部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于作Java桌面应用来说,比较烦人的就是安装部署问题,客户端是否安装 有jre.jre版本问题.jre去哪下载.如何用jre启动你的Java应用?不要说刚接 触电脑的人,就算是比较熟悉电脑,如果没有接触过Java,面对一个Java应用, 如何在Windows下启动它,估计都会折腾半天.如果不是因为这个问题,Java在 我的眼里算是最完美的语言了,也是我最喜爱的语言. 所以我认为这个是导致Java桌面应用被一些人所讨厌的最大原因,Java的优 势是&quot;一次编写,随处运行&quot;,跨平台特性确实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxov9Rb.html" rel="bookmark">【JAVA秒会技术之玩搞定GC】GC算法与种类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GC算法与种类 (一)GC的概念 GC,指Ganbage Collection 垃圾回收器.GC的算法主要分为四类:引用计数法.标记清除.标记压缩.复制算法.下面将对这几种算法进行逐一说明. (二)GC的算法--引用计数法 引用计数器的实现很简单,对于一个对象A,只要有任何一个对象引用了A,则A的引用计数器就加1,当引用失效时,引用计数器就减1.只要对象A的引用计数器的值为0,则对象A就不可能再被使用.   引用计数法的问题: (1)引用和去引用伴随着加法和减法,影响性能: (2)很难处理循环引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z753v4M.html" rel="bookmark">一张图搞懂美国大数据产业&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据科学早已不是新鲜事物了,不过对数据质量的需求却是这几年才激增起来的.这可不是一阵时尚或旧词新用,而是一场革命.大至总统选举,小至总部设在厨房餐桌的小创业公司的各种决策,已不再是建立于直觉与猜想之上,而是植根于真实可靠的数据. 数据科学发展日新月异,如今各种数据工具已经形成了一个庞大的生态系统.我花了一个多月以尝试给这个生态系统勾画出一个清晰的轮廓,在接下来的文章里会介绍给大家. 数据科学本身功能交叉,许多数据公司与工具难以归类.但总体来说,它们分属数据专家工作流程中的三个主要部分:数据获取.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynvNdp.html" rel="bookmark">一张图看懂Java虚拟机内存区域模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java虚拟机内存区域总结 Java虚拟机相当于一个抽象的计算机操作系统,其管理的内从区域大体上可以分为栈和堆,就像c或c++中对内存的分类一样,但这样的分类对于Java虚拟机来说太过粗浅,实际上Java虚拟机管理的内存区域分为程序计数器.虚拟机栈.本地方法栈.堆和方法区,根据各区域是属于线程私有还是由线程共享,这些区域可以分为两类,下面分别进行说明. 一.线程私有的内存区域 1.程序计数器(Program Counter Register) 程序计数器是一块较小的内存空间,它可以看作是当前线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJ2x8p.html" rel="bookmark">Spark技术内幕：一个图搞定Spark到底有多少行代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spark1.0.0发布一个多月了,那么它有多少行代码(Line of Code, LOC)? 注:代码统计未包含测试,sample.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyry4p.html" rel="bookmark" class="title">Sublime Text 2安装插件</a>
					<div>
						Sublime Text 2是一款非常好的代码编写工具,类似于Notepad++,精巧美观.为了我们的代码编写更加方便我们可以通过安装一些插件来解决这个问题.下面我们就来看看安装Sublime Tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b32v7z.html" rel="bookmark" class="title">vs2012-VC&plus;&plus;6&period;0的MFC与VS2012的区别</a>
					<div>
						问题描述 VC++6.0的MFC与VS2012的区别 VC++6.0绘图的时候的WM LBUTTONDOWN在VS2012中怎么找不到?或者说用VC++6.0绘图的操作方法,应该在VS2012怎么转变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b36GJz.html" rel="bookmark" class="title">百度、谷歌两种不同的企业站长该如何应对</a>
					<div>
						先来看两段文字纪实: 1.在2011-6-27这一天的下午4点到6点时分,陆续有站长朋友说自己网站的PR更新了,有的从0到4,众人皆喜,也有的PR下降了很多,悲愤交加.有欢喜声,也有讨伐声,一时之间相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boNE3z.html" rel="bookmark" class="title">VB&period;NET中的类</a>
					<div>
						我在以前的文章里曾经提到:VB.NET的出现使得VB6在类的概念及其操作上发生了巨大的变化.现在就让我们进到这些变化中来进行更深入的探讨.首先让我们看看类到底意味着什么. 不妨假设我把你带回到了学院, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVndZQz.html" rel="bookmark" class="title">造福弱视和盲人：购买Office免费赠送Windows-Eyes软件</a>
					<div>
						Windows系统的各项辅助功能成功帮助众多有生理缺陷的用户更加轻松的使用电脑.最近微软和GW Micro达成最新的合作,帮助那些视力有问题的用户能够更加轻松的使用Office软件.这项合作意味着任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AqjWp.html" rel="bookmark" class="title">数组在Java编程中的应用</a>
					<div>
						序 数组是很重要的数据结构,由同一类型相关的数据结构组成是静态实体,有链 表,队列,堆栈,数等数据结构,java还提出了类数组的类vector.这些都是java数 据结构的组成部分,正如我们学过的c语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKGjVp.html" rel="bookmark" class="title">国庆出游，win8必须随身带的一个软件</a>
					<div>
						8天悠悠假期,如果准备出行,如果要带着你的本本,那么,强烈推荐和提醒不要忘了随身携带的一个软件--软媒出品的魔方. 法螺不可乱吹胡吹,既然要推荐,自然要有理由,我们不妨一一道来.如果用更媒体的说法,往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7rnEb.html" rel="bookmark" class="title">分享33个优秀的 jQuery 教程</a>
					<div>
						jQuery 是一个非常优秀的 JavaScript 框架,使用简单灵活,在现在的Web开发项目中扮演着重要角色.这篇文章与大家分享33个优秀的 jQuery 教程,教您如何使用 jQuery 制作幻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e2oOb.html" rel="bookmark" class="title">Win7下共享网络连接至WLAN的批处理</a>
					<div>
						  把以下代码复制到记事本,选择另存为,把文件类型选择为所有文件,文件名命名为以bat为后缀的文件(***.bat). 必须以管理员身份运行! 开启网络共享的方法: 还不行就改ip试试: 代码部分:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badByNz.html" rel="bookmark" class="title">如何找到隐藏文件夹</a>
					<div>
						  如何找到隐藏文件夹        1 打开文件夹 点击窗口上面的 工具--选择--文件夹选项 文件夹选项 2之后会弹出一个对话框点击查看 3最后在&quot;高级设置&quot;下拉列表框中,选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR0Q5p.html" rel="bookmark" class="title">win7搜索功能不能用了怎么办？</a>
					<div>
						  win7搜索功能不能用了怎么办?win7系统自带有搜索功能,可帮助用户快速找到所需的文件或程序,搜索功能虽然速度不太给力但是准确度还是有保障.一位用户说win7搜索功能不能用了,没办法搜索到想要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oymmb.html" rel="bookmark" class="title">Win8开启SmartScreen筛选器保护上网安</a>
					<div>
						  1.打开IE浏览器,点击Internet选项按钮. 2.安全-启用SmartScreen筛选器. 3.点击确定,完成. 如果开启SmartScreen筛选器功能后希望关闭它,只需要反操作即可					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBw18z.html" rel="bookmark" class="title">安卓网络请求Retrofit2怎么配置service</a>
					<div>
						问题描述 安卓网络请求Retrofit2怎么配置service 如上图这样的post接口怎么在RetrofitService配置 public interface RetrofitService {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywYwJz.html" rel="bookmark" class="title">C&num; 批量复制文件</a>
					<div>
						前言    项目之外,公司要求把客户上传的xls数据文件按条件拷贝一份出来,可是这些上传的文件都已经重新命过名,不过还好有上传的记录,包括文件新命名的规则.于是只需要写一个程序来批量获得这些被重新命过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrDLwM.html" rel="bookmark" class="title">iOS开发之证书申请及真机调试图文详情</a>
					<div>
						•真机调试的主要步骤 1.登录开发者主页  2.生成cer证书:cer是一个跟电脑相关联的证书文件,让电脑具备真机调试的功能  3.添加App ID:调试哪些app?  4.注册真机设备:哪台设备需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PXx3p.html" rel="bookmark" class="title">网络通信-组播数据包在传输的时候，会用到网卡上的物理地址吗</a>
					<div>
						问题描述 组播数据包在传输的时候,会用到网卡上的物理地址吗 组播数据包在传输的时候,会用到网卡上的物理地址吗?会用到接收方的IP地址作为目的地址吗					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1roV5p.html" rel="bookmark" class="title">更换域名用301永久重定向的操作过程</a>
					<div>
						301重定向 &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   重定向说白了就是通过各种的方法将各种网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5yxxM.html" rel="bookmark" class="title">通讯-模拟开关4067 能不能切换多路的RS232串口信号传输</a>
					<div>
						问题描述 模拟开关4067 能不能切换多路的RS232串口信号传输 为了增加单片机串口之间的通讯距离,拟采用在单片机处增加232芯片来把TTL信号转换后再进行信息的传输,是多个发送,一个接收,我想选用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2269ob.html" rel="bookmark" class="title">PHP 之 FastCGI 与 mod&lowbar;php 详解</a>
					<div>
						网上对于FastCGI与mod_php的知识比较杂乱而不全面,故在此整理一下,以便入门学习者查阅方便. 背景 PHP最常用的方式是以模块的方式(mod_php)运行在Apache中,也是Apache运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn5kNM.html" rel="bookmark" class="title">绑定gridview-在绑定GridView数据的时候发现有一个字段的值无法绑定</a>
					<div>
						问题描述 在绑定GridView数据的时候发现有一个字段的值无法绑定 问题如上 if (e.Row.RowType == DataControlRowType.DataRow &amp;&amp; e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKaEAp.html" rel="bookmark" class="title">《日志管理与分析权威指南》一3&period;2&period;2　SNMP</a>
					<div>
						3.2.2 SNMP SNMP设计用于满足网络管理员不断增长的需求.从20世纪90年代初起,SNMP已经集成到几乎所有你能想到的网络系统中,包括许多网络安全系统.SNMP是查询和配置设备的一种协议.S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0GBoz.html" rel="bookmark" class="title">淘宝&OpenCurlyDoubleQuote;水电油煤&rdquo;计划全面助推中国网络购物市场</a>
					<div>
						昨天,亚洲最大的网络零售商圈淘宝网宣布淘宝开放平台(TaobaoOpenPlatform)全面试开放,全球所有的零售商.制造商.服务商或者个人均可加入这个计划,并且享受聚合效应所带来的效益. 一直以来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NYaPb.html" rel="bookmark" class="title">Nodejs express框架一个工程中同时使用ejs模版和jade模版&lowbar;node&period;js</a>
					<div>
						在某些项目中,比如你接手了一个别人的项目然后你不想用蛋疼的ejs,或者你不想用蛋疼的jade.你有不想重写之前的页面,那么你现在可能需要新引入ejs或者jade模块,你仅仅需要做下面两步也许就能完成使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7x4GM.html" rel="bookmark" class="title">详解Nginx &plus; Tomcat 反向代理 负载均衡 集群 部署指南&lowbar;nginx</a>
					<div>
						Nginx是一种服务器软件,也是一种高性能的http和反向代理服务器,同时还是一个代理邮件服务器.也就是说,我们在Nginx上可以发布网站,可以实现负载均衡(提高应答效率,避免服务器崩溃),还可以作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvylNM.html" rel="bookmark" class="title">js实现简单的购物车有图有代码&lowbar;javascript技巧</a>
					<div>
						如图:  全选按钮的实现为: 复制代码 代码如下: &lt;input type=&quot;checkbox&quot; name=&quot;all&quot; onclick=&quot;che ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKV5nz.html" rel="bookmark" class="title">s&colon;iterator 的end属性能加上s&colon;if标签吗？</a>
					<div>
						问题描述 这个问题怎么解决?求帮助.我想把Set集合中的数据循环出来.但要求是只显示前三条.貌似如果用beginend 如果集合元素数不够end所规定的数量就会包错:所以采用下面的方法.但也行不通.. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk80Qz.html" rel="bookmark" class="title">如何让级联更新关联数据的字段？内详。</a>
					<div>
						问题描述 我做逻辑删除. 表A关联表B, 一对多. 逻辑删除实际上就是在表的数据字段的deleted设置一个数字而已.实际上就是更新.那么在更新这个数据的时候,怎么去同时更新他关联的B表的数据的del ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn81mOb.html" rel="bookmark" class="title">java规范excel电话号码 求大神帮忙</a>
					<div>
						问题描述 例如excel中的原数据:row1,columA86010-28913333/25731234,13712340000row2,columA020-28345678,1371234-56-7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlDy8p.html" rel="bookmark" class="title">求手机开发方面操作系统与底层硬件通讯的问题</a>
					<div>
						问题描述 求手机开发方面操作系统与底层硬件通讯的问题最近一直在考虑实现把手机的硬件信息,比如GPS的经纬度信息通过GPRS网络上传到服务器,想做一个通用的程序,但有几个问题始终找不到答案:1.如果有基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlARe8p.html" rel="bookmark" class="title">Cach&eacute; Monitor 1&period;61发布 SQL开发工具</a>
					<div>
						Caché Monitor是一个InterSystems的数据库5603.html&quot;&gt;缓存的SQL开发工具.它采用高级SQL查询编辑器与SQL语法高亮,实现数据库对象(也被称为智能感知 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
